language: cn
model_unique_abbr: non-overlapping
version: 1.0

identification:
  docker_image_name: non-overlapping:1.0
  model_name: 非重叠社区探测
  semantic: non-overlapping community detection
  category_application: 诊断型
  category_data:
    - 表格数据
  description: 基于infomap算法将网络划分为多个不重叠的社区
  keywords: 
    - 社区发现

parameter_info:
  parameters:
    - arg_name: graph_data
      is_single_en_dash: false
      param_type: input_data
      name: 图数据
      description: 输入的图数据，前两列为节点，第三列为边，csv
      data_type: csv
      data_semantic: graph_data
      
    - arg_name: trial_number
      is_single_en_dash: false
      param_type: param
      name: 尝试次数
      description: 尝试划分图的次数，默认为20
      data_type: int
      data_semantic: the number of attempts to partition the network
      specification:
        default: 20  

    - arg_name: output_path
      is_single_en_dash: false
      param_type: output_data
      name: 输出路径
      description: 社区划分结果，每行代表一个社区csv
      data_type: csv
      data_semantic: output data   

application:
  domain: 社区发现
  objective: 对网络数据进行不重叠社区发现
  mechanism: 使用infomap算法进行社区发现

operation:
  usage: 该算法需要3个参数,使用infomap算法进行社区发现
  exec_example: 
    - docker run -it -v $(pwd)/data:/data non-overlapping:1.0 --graph_data /data/2.csv --output_path /data/
  license: 
    - GPL-2.0

technique:
  language:
  - Python
  os: 
  - Linux
  - Windows  
  dependencies:
    - name: igraph
      version: 0.10.8

source:
  maintainer: Zhaoyuhui Hulingjie
  organization: Wuhan University
  contact: 9027575@qq.com
  integrated_softwares:
    - name: igraph
      version: 0.10.8
      license: GPL-2.0
  references:
    - M. Rosvall and C. T. Bergstrom. Maps of information flow reveal community structure in complex networks, PNAS 105, 1118 (2008). http://dx.doi.org/10.1073/pnas.0706851105, http://arxiv.org/abs/0707.0609.
    - https://python.igraph.org/en/stable/